//	ＡＩＧライブラリ　オフスクリーン描画関数
//		Copyright (C) 1993 by AIG-SOFT

#ifndef	__AIG_OSCRN__
#define	__AIG_OSCRN__	1

#include "deftype.h"

/* オフスクリーンバッファー先頭ワークエリア */
typedef struct {
	unsint	symbol;		/* スクリーンバッファーシンボル */
	short	wx;		/* スクリーンｘ幅 */
	short	wy;		/* スクリーンｙ幅 */
	short	x;		/* カーソルｘ座標 */
	short	y;		/* カーソルｙ座標 */
	unchar	col;		/* アトリビュート */
	unchar	kanji1;		/* 漢字１バイト目コード */
} SC_BUFF;

#define	SCSYM	(('S'<<8)|'c')	/* スクリーンバッファーシンボル */
#define	SCOK	(0)		/* 正常終了 */
#define	SCERR1	(-1)		/* スクリーンバッファーエラー */
#define	SCERR2	(-2)		/* その他のエラー */


#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	unchar	*SCopen(short ,short );
	int	SCclose(unchar *);
	int	SCcheck(unchar *);
	int	SCcls(unchar *);
	int	SClocate(int ,int ,unchar *);
	int	SCcursor(int *,int *,unchar *);
	int	SCcolor(int ,unchar *);
	int	SCdisplay(unchar *,int);
	int	SCprints(unchar *,unchar *);
	int	SCprintc(unsint ,unchar *);
	int	SCprintc_sub(unsint ,unchar *);
	int	SCscrn(int ,int ,unchar *,unsint *);
	int	SCscrnc(int ,int ,unchar *,int *);
#else
	unchar	*SCopen();
	int	SCclose();
	int	SCcheck();
	int	SCcls();
	int	SClocate();
	int	SCcursor();
	int	SCcolor();
	int	SCdisplay();
	int	SCprints();
	int	SCprintc();
	int	SCprintc_sub();
	int	SCscrn();
	int	SCscrnc();
#endif
#ifdef	__cplusplus
}
#endif

#endif
